Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.orb.util
Class LifecycleHelper

    java.lang.Object
      |
      +--org.apache.orb.util.LifecycleHelper

public class LifecycleHelper
extends java.lang.Object

Static utility to process a component through is lifecycle.

Author:
  Stephen McConnell

Constructor Summary
`LifecycleHelper()`

Method Summary
`static void` | `pipeline(java.lang.Object object, org.apache.avalon.framework.logger.Logger logger, org.apache.avalon.framework.context.Context context, org.apache.avalon.framework.configuration.Configuration config, org.apache.avalon.framework.service.ServiceManager manager)` Processes a supplied object through a series of component lifecycle phases based on the supplied parameters.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LifecycleHelper

    public LifecycleHelper()

Method Detail

### pipeline

    public static void pipeline(java.lang.Object object,
                                org.apache.avalon.framework.logger.Logger logger,
                                org.apache.avalon.framework.context.Context context,
                                org.apache.avalon.framework.configuration.Configuration config,
                                org.apache.avalon.framework.service.ServiceManager manager)
                         throws java.lang.Exception

  Processes a supplied object through a series of component lifecycle phases based on the supplied parameters. Supported phases include:
  - LogEnababled
  - Contextualizable
  - Configurable
  - Serviceable
  - Initializable

  If the target object implements one of the above phases, and the corresponding argument is null, the pipeline implementation will throw a `NullPointerException`.

  Parameters:
    `object` - the object to apply lifecycle processing to
    `logger` - the logging channel to apply
    `context` - the context to apply
    `config` - the configuration to apply
    `manager` - the service manager to apply
  Throws:
    `java.lang.Exception` - if an error occurs dureing pipeline processing

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD